# $Id: smeserver-email-management.spec,v 1.2 2016/03/09 08:52:32 unnilennium Exp $
# Authority: dungog
# Name: Stephen Noble

Summary: modify and monitor maildelivery for all users
%define name smeserver-email-management
Name: %{name}
%define version 1.3
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.dungog.net/sme
Group: SMEserver/addon
Source: %{name}-%{version}.tgz
#Patch0:
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Provides: dungog-email = %{version}-%{release} 
Requires: e-smith-release >= 9.0,
Requires: smeserver-vacation
Requires: smeserver-mailsorting
#Requires:  smeserver-userpanel, userpanel causes endless problems
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%description
SME Server panel to allow admin to enable and configure procmail,
maildrop, vacation or forwarding for users,
see all users mail delivery methods in a table.
Admin can add global rules and apply them to all users,
set advanced mail properties.
Original work of Stephen Noble dungog.net.

%prep
%setup
#%patch0 -p1

%build
perl createlinks

#LEXICONS=$(find root/etc/e-smith/{locale/,web/functions/} -type f )
#for lexicon in $LEXICONS
#do
#    /sbin/e-smith/validate-lexicon $lexicon
#done

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
%pre
%preun
%post
%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Mon Aug 08 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.3-1.sme
- initial import to SME 9

* Wed Jul 21 2010 Stephen Noble <support@dungog.net> 1.2-12
- fix remember destination when modifying

* Tue Jun 09 2009 Stephen Noble <support@dungog.net> 1.2-11
- fix path for ssl template expansion

* Sat Mar 07 2009 Stephen Noble <support@dungog.net> 1.2-10
- Configure user settings for zarafa

* Tue Oct 31 2006 Stephen Noble <support@dungog.net> 1.2-9
- MaxScannerSize added

* Tue Oct 31 2006 Stephen Noble <support@dungog.net> 1.2-8
- qmail settings added

* Mon Oct 30 2006 Stephen Noble <support@dungog.net>
- qpsmtpd settings available in globals page
- [1.2-7]

* Sat Oct 28 2006 Stephen Noble <support@dungog.net>
- review domain mailserver delegation
- review group Visible property
- set qpsmtpd Bcc setting for mail archiving
- [1.2-6]

* Wed Aug 23 2006 Stephen Noble <support@dungog.net>
- remove strict check on mailrule criterion
- [1.2-5]

* Thu May 04 2006 Stephen Noble <support@dungog.net>
- TMDA support added
- [1.2-4]

* Wed Apr 05 2006 Stephen Noble <support@dungog.net>
- cosmetic, comment fixed
- [1.2-3]

* Fri Mar 24 2006 Stephen Noble <support@dungog.net>
- maildrop forwarding note added
- vacation system call changed to actions/qmail-update-user
- spamboss note added
- [1.2-2]

* Thu Sep 22 2005 Stephen Noble <support@dungog.net>
- simplified and updated for sme7
- [1.2-1]

* Fri Jul 01 2005 Stephen Noble <support@dungog.net>
- removed requirement for perl-Unicode-IMAPUtf7
- [1.0-6]

* Tue Apr 26 2005 Stephen Noble <support@dungog.net>
- removed junkfilter option for simplification
- corrected messages due to changes in other rpms
- mailblocking and pattern matching msg removed
- [1.0-5]

* Sat Jan 29 2005 Stephen Noble <support@dungog.net>
- supports spamassassin ver.3 / sme-spamfilter
- fixed global systemdefault spam sorting
- modify user TMDA usage
- [1.0-4]

* Tue Dec 07 2004 Stephen Noble <support@dungog.net>
- shows TMDA usage
- [1.0-3]

* Mon Oct 18 2004 Stephen Noble <support@dungog.net>
- cosmetic changes, refreshes correctly, log filter rblsd changed to rbls
- [1.0-2]

* Thu Aug 12 2004 Stephen Noble <support@dungog.net>
- rpm renamed dungog-email
- function processmail renamed dungog-email, will affect any userpanel delegations
- display users MailDomains & MailLocal settings from dungog-mailblocking
- display each users pseudonyms, option to hide . and _ versions
- display 'virtual domain' pseudonyms and domain delegations from dungog-vdomain
- display admin in user table
- antivirus and filtering status consolidated into one sub panel
- make admin aware of the pattern matching rpms
- junkfilter userpanel removed
- [1.0-1]

* Wed Jul 28 2004 Stephen Noble <support@dungog.net>
- removed tmda
- you now modify junkfilter rules from the command line
- [0.2-11]

* Wed Jul 28 2004 Stephen Noble <support@dungog.net>
- cosmetic, altered comment about spamassassin
- [0.2-10]

* Wed Apr 07 2004 Stephen Noble <support@dungog.net>
- smtp/rbls settings saved correctly
- individual email forwarding address shown on summary page
- [0.2-9]

* Sun Mar 28 2004 Stephen Noble <support@dungog.net>
- requires sme 6.0
- smtp settings added
  rbls, max message size
- updates userpanel panel links on install and uninstall
- [0.2-8]

* Fri Mar 05 2004 Stephen Noble <support@dungog.net>
- procmail forward to user fixed
- procmail says folder not in correct format fixed
- userpanel-procmail-pro moved to GPL userpanel
- [0.2-7]

* Thu Dec 04 2003 Stephen Noble <support@dungog.net>
- individual setting = systemdefault unless set otherwise
- dovecoat imap folders fixed in procmail dropdown lists
- rbls only works on 5.6, custom fragments added
  requires e-smith-mailfront-1.0.0-02rbl.noarch.rpm
- spamassasin sme5/sme6 differences added

- [0.2-7]

* Thu Dec 04 2003 Stephen Noble <support@dungog.net>
- individual setting = systemdefault unless set otherwise
- dovecoat imap folders fixed in procmail dropdown lists
- rbls only works on 5.6, custom fragments added
  requires e-smith-mailfront-1.0.0-02rbl.noarch.rpm
- spamassasin sme5/sme6 differences added
- [0.2-6]

* Mon Sep 08 2003 Stephen Noble <support@dungog.net>
- larger text field for rbls entry
- logic improved deciding between individual and global delivery
  will use individual setting until individual setting is systemdefault
- logic improved in creating .procmailrc
  if you have both junkfilter and spamassassin installed
- [0.2-5]

* Thu Aug 21 2003 Stephen Noble <support@dungog.net>
- SME 6.0 support, servermanager navigation & shows tables correctly
- minor bug fixes
- [0.2-4]

* Sun Aug 03 2003 Stephen Noble <support@dungog.net>
- mail sent with offline dialup server with rbls installed but off is not delayed
- new delivery action option, tag spam but leave for mail client to sort
- [0.2-3]

* Mon Jun 02 2003 Stephen Noble <support@dungog.net>
- added notes, where to get spamassassin, contibs.org
- a filtering spamboss needs this procmail rule 'custom headers' "spamboss@" > 'spamfolder'
- [0.2-2]

* Thu May 29 2003 Stephen Noble <support@dungog.net>
- lots of changes, test before using on production machine
- improved display on dungog > emailfiltering panel
   shows individual override on spamfilter
   shows which global spamfilter and the sort/delete/fwd action
- uses tmda-0.78,
   and tmda-cgi-0.9 for user interface, NB tmda-cgi-0.9 is later than 0.71
   www.servername/tmda, authenticates against users system password
   admin or user still has to enable tmda with panels
- adds userpanel-procmail-pro,
   adds second test for procmail, if x & if y then...
   restricts characters in criterion to avoid broken rules, it may be too strict
   email characters you want added to the allowed list
- incorporates better notification and seperate control of spamassassin
   deliver tagged spamassassin spam to folder/spammboss/delete it
   junkfilter spam folder changed to junkmail to be consistant with spamassassin
- server-manager > emailfiltering > global > filters
   choose between junkfilter or spammassassin or use both
    tmda runs before/without procmail and stops 99.9%%
   function added to reset individual overrides to null
   the default in now 'null' but was 'disabled'
   this was a bug as the individual setting overrides the global setting
   userpanel-procmail-pro is fixed, userpanel-procmail will be in userpanel.v12
- [0.2-1]

* Tue Jul 23 2002 Stephen Noble <support@dungog.net>
- initial release
- [0.1-1]

